package cpcns.dingZhi.tongYong.controller;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.generic.ResultMessage;
import cpcns.common.service.ICommonService;
import cpcns.dangAnBase.base.controller.DangAnBaseController;
import cpcns.dingZhi.jiJianAnJuan.model.jiJianAnJuan;
import cpcns.dingZhi.jiJianAnJuan.service.IJiJianAnJuanService;
import cpcns.dingZhi.keJiAnJuan.model.keJiAnJuan;
import cpcns.dingZhi.keJiAnJuan.service.IKeJiAnJuanService;
import cpcns.dingZhi.keJiXiangMu.model.keJiXiangMu;
import cpcns.dingZhi.keJiXiangMu.service.IKeJiXiangMuService;
import cpcns.dingZhi.keji.service.IKeJiService;
import cpcns.dingZhi.renshianjuan.model.renshianjuan;
import cpcns.dingZhi.renshianjuan.service.IRenshianjuanService;
import cpcns.dingZhi.renshixiangmu.model.renshixiangmu;
import cpcns.dingZhi.renshixiangmu.service.IRenshixiangmuService;
import cpcns.dingZhi.tongYong.service.ItongYongService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import cpcns.utils.tool;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.collections.map.HashedMap;
import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/tongYong"})
public class tongYongController extends DangAnBaseController {
  @Autowired
  private ICommonService commonService;
  
  @Autowired
  private ItongYongService tongYongService;
  
  @Autowired
  private IJiJianAnJuanService jiJianAnJuanService;
  
  @Autowired
  private IKeJiAnJuanService keJiService;
  
  @Autowired
  private IRenshianjuanService renshianjuanService;
  
  @Autowired
  private IKeJiXiangMuService kejixiangmuService;
  
  @Autowired
  private IRenshixiangmuService renshixiangmuservice;
  
  @Autowired
  private IKeJiAnJuanService kejianjuanservice;
  
  @Autowired
  private IKeJiService kejiservice;
  
  @RequestMapping({"/JuanNeigetAll.do"})
  @ResponseBody
  public String JuanNeigetAll(HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
    try {
      Map<String, Object> map = tool.getRequestParamsMaps(request);
      map.remove("table");
      map.remove("server");
      String page = request.getParameter("page");
      String rows = request.getParameter("rows");
      model.addAttribute("page", page);
      model.addAttribute("rows", rows);
      int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
      int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
      int start = (intPage - 1) * number;
      PagerVO pagevo = this.tongYongService.query_SQL(Integer.valueOf(start), Integer.valueOf(number), this.table, map, CommStatic.getOrderBy(request, "dangHao asc"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo).replaceAll(" 00:00:00", "").replaceAll(":00", "").replaceAll("", "").replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("MIJI", "miJi").replaceAll("XIANGMUMINGCHENG", "xiangMuMingCheng").replaceAll("GUIDANGNIANDU", "guiDangNianDu").replaceAll("DANGHAO", "dangHao").replaceAll("XUHAO", "xuHao").replaceAll("BIAOTI", "biaoTi").replaceAll("BAOGUANQIXIAN", "baoGuanQiXian")
        .replaceAll("ZERENZHE", "zeRenZhe").replaceAll("YESHU", "yeShu").replaceAll("FENSHU", "fenShu").replaceAll("FENLEIHAO", "fenLeiHao");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/ceratNewXuHao.do"})
  @ResponseBody
  public void ceratNewXuHao(HttpServletRequest request, HttpServletResponse response) throws Exception {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    String xuHao = request.getParameter("xuHao");
    String table = request.getParameter("table");
    String menLei = request.getParameter("menLei");
    String baoGuanQiXian = request.getParameter("baoGuanQiXian");
    String guiDangNianDu = request.getParameter("guiDangNianDu");
    String par = request.getParameter("par");
    String orderbysql = " order by hangBiaoShi";
    String[] guizes = par.split(",");
    String HaoStr = "1";
    HashedMap<String, String> hashedMap = new HashedMap();
    byte b;
    int i;
    String[] arrayOfString1;
    for (i = (arrayOfString1 = guizes).length, b = 0; b < i; ) {
      String guize = arrayOfString1[b];
      String[] values = guize.split("=");
      if (values.length == 2)
        for (int a = 0; a < values.length; a++)
          hashedMap.put(values[0], values[1]);  
      b++;
    } 
    if (StringUtils.isNotBlank(menLei))
      hashedMap.put("menLei", menLei); 
    if (StringUtils.isNotBlank(table) && StringUtils.isNotBlank(par)) {
      HaoStr = this.tongYongService.SelectXuHaoSQL(table, (Map)hashedMap, orderbysql);
      System.out.println(HaoStr);
    } 
    responseWriter(response, HaoStr.toString());
  }
  
  @RequestMapping({"/NewvalidationJH.do"})
  public void NewvalidationJH(HttpServletRequest request, HttpServletResponse response) throws Exception {
    Map<String, Object> map = tool.getRequestParamsMaps(request);
    map.remove("table");
    String msg = "500";
    String orderbysql = " order by hangBiaoShi";
    String HaoStrs = this.tongYongService.SelectXuHaoSQL(this.table, map, orderbysql);
    if (Integer.valueOf(HaoStrs).intValue() > 0) {
      msg = "600";
      System.out.println(Integer.valueOf(HaoStrs));
    } 
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/jiantoAnJuan.do"})
  public void addWenJiantoAnJuan(HttpServletRequest request, Model model, HttpServletResponse response) {
    Map<String, Object> map = new HashMap<>();
    ResultMessage rm = new ResultMessage();
    String info = "";
    String hangBiaoShi = request.getParameter("hangBiaoShis");
    String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
    String table = request.getParameter("table");
    if ("D_keJiAnJuan".equals(table)) {
      if (!"0".equals(guanLianBiaoShi)) {
        keJiXiangMu obj = (keJiXiangMu)this.kejixiangmuService.getById(keJiXiangMu.class, Integer.valueOf(guanLianBiaoShi));
        map.put("xiangMuHao", obj.getXiangMuHao());
        Map<String, Object> map1 = new HashMap<>();
        map1.put("xiangMuHao", obj.getXiangMuHao());
        Map<String, Object> map2 = new HashMap<>();
        map2.put("guanLianBiaoShi_in", hangBiaoShi);
        this.tongYongService.updateBySQL("D_keJi", map1, map2);
      } else {
        Map<String, Object> map1 = new HashMap<>();
        map1.put("xiangMuHao", "");
        Map<String, Object> map2 = new HashMap<>();
        map2.put("guanLianBiaoShi_in", hangBiaoShi);
        this.tongYongService.updateBySQL("D_keJi", map1, map2);
        map.put("xiangMuHao", "");
      } 
    } else if ("D_keJi".equals(table)) {
      if (!"0".equals(guanLianBiaoShi)) {
        keJiAnJuan obj = (keJiAnJuan)this.kejianjuanservice.getById(keJiAnJuan.class, Integer.valueOf(guanLianBiaoShi));
        if (StringUtils.isBlank(obj.getXiangMuHao())) {
          map.put("xiangMuHao", "");
        } else {
          map.put("xiangMuHao", obj.getXiangMuHao());
        } 
      } else {
        map.put("xiangMuHao", "");
      } 
    } 
    String anJuanHao = request.getParameter("anJuanHao");
    String anJuandangHao = request.getParameter("anJuandangHao");
    map.put("guanLianBiaoShi", guanLianBiaoShi);
    if (!"D_keJiAnJuan".equals(table) && !"D_renShiAnJuan".equals(table)) {
      if (!"undefined".equals(anJuandangHao) && StringUtils.isNotBlank(anJuandangHao)) {
        map.put("anJuandangHao", anJuandangHao);
      } else {
        map.put("anJuandangHao", "");
      } 
      if (!"undefined".equals(anJuanHao) && StringUtils.isNotBlank(anJuanHao)) {
        map.put("anJuanHao", anJuanHao);
      } else if (!"0".equals(guanLianBiaoShi)) {
        if ("D_jiJian".equals(table)) {
          jiJianAnJuan jjaj = (jiJianAnJuan)this.jiJianAnJuanService.getById(jiJianAnJuan.class, Integer.valueOf(Integer.parseInt(guanLianBiaoShi)));
          map.put("anJuanHao", jjaj.getXuHao());
        } 
        if ("D_keJi".equals(table)) {
          keJiAnJuan kjaj = (keJiAnJuan)this.keJiService.getById(keJiAnJuan.class, Integer.valueOf(Integer.parseInt(guanLianBiaoShi)));
          map.put("anJuanHao", kjaj.getXuHao());
        } else {
          renshianjuan rsaj = (renshianjuan)this.renshianjuanService.getById(renshianjuan.class, Integer.valueOf(Integer.parseInt(guanLianBiaoShi)));
          map.put("anJuanHao", rsaj.getXuHao());
        } 
      } else {
        map.put("anJuanHao", "");
      } 
    } 
    Map<String, Object> tj = new HashMap<>();
    tj.put("hangBiaoShi_in", hangBiaoShi);
    try {
      if (StringUtils.isNotBlank(table)) {
        this.tongYongService.updateBySQL(table, map, tj);
        rm.setSuccess(true);
        if (!"0".equals(guanLianBiaoShi)) {
          info = "添加成功！";
        } else {
          info = "移出成功！";
        } 
      } 
    } catch (Exception e) {
      e.printStackTrace();
      rm.setSuccess(false);
      info = "删除失败！";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/toJuanNei.do"})
  public String toJuanNei(HttpServletRequest request, HttpServletResponse response, Model model) {
    Map<String, Object> map = tool.getRequestParamsMaps(request);
    request.getSession().setAttribute("map", map);
    String luJing = (String)map.get("luJing");
    String quanXian = request.getParameter("quanXian");
    model.addAttribute("quanXian", quanXian);
    return luJing;
  }
  
  @RequestMapping({"/toAddJuanNeiWenJianOrAnJuan.do"})
  public String addJuanNeiWenJian(HttpServletRequest request, HttpServletResponse response, Model model) {
    Map<String, Object> map = tool.getRequestParamsMaps(request);
    String menLei = String.valueOf(map.get("menLei"));
    if (StringUtils.isNotBlank(String.valueOf(map.get("hangBiaoShi")))) {
      String hangBiaoShi = String.valueOf(map.get("hangBiaoShi"));
      if (menLei.equals("JJ")) {
        jiJianAnJuan obj = (jiJianAnJuan)this.jiJianAnJuanService.getById(jiJianAnJuan.class, Integer.valueOf(hangBiaoShi));
        map.put("baoGuanQiXian", obj.getBaoGuanQiXian());
        map.put("guiDangNianDu", obj.getGuiDangNianDu());
        map.put("anJuanHao", obj.getAnJuanHao());
        map.put("anJuandangHao", obj.getDangHao());
        map.put("guanLianBiaoShi", hangBiaoShi);
      } else if (!menLei.equals("CW")) {
        if (menLei.equals("KJ")) {
          String biaoshi = request.getParameter("biaoshi");
          if ("xiangMuaddAnJuan".equals(biaoshi)) {
            keJiXiangMu obj = (keJiXiangMu)this.kejixiangmuService.getById(keJiXiangMu.class, Integer.valueOf(hangBiaoShi));
            map.put("baoGuanQiXian", obj.getBaoGuanQiXian());
            map.put("guiDangNianDu", obj.getGuiDangNianDu());
            map.put("guanLianBiaoShi", hangBiaoShi);
          } else {
            keJiAnJuan obj = (keJiAnJuan)this.keJiService.getById(keJiAnJuan.class, Integer.valueOf(hangBiaoShi));
            map.put("anJuanHao", obj.getAnJuanHao());
            map.put("anJuandangHao", obj.getDangHao());
            map.put("baoGuanQiXian", obj.getBaoGuanQiXian());
            map.put("guiDangNianDu", obj.getGuiDangNianDu());
            map.put("guanLianBiaoShi", hangBiaoShi);
          } 
        } else if (menLei.equals("RS")) {
          String biaoshi = request.getParameter("biaoshi");
          if ("xiangMuaddAnJuan".equals(biaoshi)) {
            renshixiangmu obj = (renshixiangmu)this.renshixiangmuservice.getById(renshixiangmu.class, Integer.valueOf(hangBiaoShi));
            map.put("guanLianBiaoShi", hangBiaoShi);
          } else {
            renshianjuan obj = (renshianjuan)this.renshianjuanService.getById(renshianjuan.class, Integer.valueOf(hangBiaoShi));
            map.put("anJuanHao", obj.getAnJuanHao());
            map.put("anJuandangHao", obj.getDangHao());
            map.put("guanLianBiaoShi", hangBiaoShi);
          } 
        } else {
          map.put("guanLianBiaoShi", hangBiaoShi);
          map.put("menLei", menLei);
        } 
      } 
    } 
    request.getSession().setAttribute("map", map);
    String luJing = (String)map.get("luJing");
    return luJing;
  }
  
  @RequestMapping({"/IsExist_ZH.do"})
  public void IsExist(HttpServletRequest request, HttpServletResponse response, Model model) {
    ResultMessage rm = new ResultMessage();
    Map<String, String> map = CommStatic.getRequestParams(request);
    boolean result = this.tongYongService.IsExist(map);
    rm.setSuccess(result);
    responseWriter(response, rm.toString());
  }
}
